Subject: Re: bug#79395: 30.2; Search for a function inside a mini buffer

From: Juri Linkov <[email-masked]>
Date: Mon, 08 Sep 2025 09:09:01 +0300

>> > However, the discussion in bug#64656 is very long and talks about
>> > quite a few separate issues.  Could you please summarize only the part
>> > that is related to using C-s at the prompt of "C-h f"?  In particular,
>> > what is "C-s" supposed to search in this case, when the minibuffer is
>> > empty?
>> 
>> "C-s" is supposed to search the "future history",
>> i.e. the same values visited by "M-x M-n M-n M-n ...".
>
> If that's the intent, then why isn't this documented anywhere I could
> think to look?  That C-s should do that in this case is completely
> non-obvious, so I wonder how come people know about it if we didn't
> document it?

Searching the minibuffer history is documented in
(info "(emacs) Isearch Minibuffer").

Searching the default values is too obscure feature to advertise,
because usually a list of default values is very short,
and in some cases that add completion candidates to M-n default values
it's better to use TAB to show completions and use isearch
in the completion buffer.

> Can you point me to the place where we bind C-s to do that, please?

In minibuffer-history-isearch-setup.